//Prefix mixin
@mixin prefix($property, $value, $prefixes: ()) {
  @each $prefix in $prefixes {
    #{'-' + $prefix + '-' + $property}: $value;
  }

  // Output standard non-prefixed declaration
  #{$property}: $value;
}
html {
  height: 100%;
  min-height: 100%;
}
body {
  min-height: 100%;
}
body {
  font-family: 'Source Sans Pro', sans-serif;
  background-image: url(img/bg.jpg);
  background-size: cover;
  background-position: 50% 0;
  background-repeat: no-repeat;
}
.overlay {
  position: fixed;
  width: 100%;
  height: 100vh;
  background-color: rgb(91, 102, 114);
  opacity: 0.3;
}
.home {
  padding: 20px;
  @media (min-width: 34em) {
    padding: 40px 60px 60px;
  }
}
.intro {
  .company-name {
    font-size: 13px;
    line-height: 1em;
    text-transform: uppercase;
    letter-spacing: 0.14em;
    font-weight: 600;
    font-style: normal;
    color: #b05454;
    @media (min-width: 34em) {
      font-size: 22px;
    }
  }
  .main-block {
    padding-top: 28vh;
    .main-text {
      font-family: "LTCBodoni175W00-bold";
      font-weight: 400;
      font-size: 45px;
      line-height: 0.9em;
      color: #fff;
      margin-bottom: 20px;
      @media (min-width: 48em) {
        font-size: 52px;
      }
    }
    .lower-text {
      font-family: "LTCBodoni175W00-bold";
      font-weight: 700;
      font-size: 16px;
      font-style: italic;
      line-height: 1.4em;
      color: #b05454;
      @media (min-width: 34em) {
        font-size: 18px;
      }
    }
    .button-wrapper {
      margin: 5vh 2.5%;
      @media (min-width: 34em) {
        margin: 5vh 5%;
      }
      @media (min-width: 48em) {
        margin: 5vh 18%;
      }
      @media (min-width: 62em) {
        margin: 5vh 25%;
      }
      @media (min-width: 72em) {
        margin: 5vh 28%;
      }
    }
    button {
      border: 2px solid #fff;
      font-family: "Source Sans Pro";
      color: #fff;
      letter-spacing: 0.14em;
      font-weight: 700;
      border-radius: 999px;
      text-transform: uppercase;
      display: inline;
      float: left;
      width: 100%;
      margin: 1vh 0;
      font-size: 10px;
      padding: 1em 1.44em;
      @media (min-width: 34em) {
        width: 48.5%;
        font-size: 11px;
      }
      @media (min-width: 48em) {
        font-size: 14px;
      }
      @media (min-width: 62em) {
        font-size: 14px;
      }
      @media (min-width: 75em) {
        font-size: 16px;
      }
      @include prefix(transition, background-color .25s ease-in-out, webkit ms);
      &:hover {
        background-color: white;
        color: black;
      }
    }
    .btn-left {
      margin-right: 1.5%;
    }
    .btn-right {
      margin-left: 1.5%;
    }
  }
}
@media (max-width: 34em) {

}
